Show: Inherited Protected Private Deprecated

# CKEDITOR.plugins.ae_buttonbridge Class

Defined in: `src/ui/react/src/uibridge/button.jsx:120`

CKEditor plugin that bridges the support offered by CKEditor Button plugin. It takes over the responsibility of registering and creating buttons via:

- editor.ui.addButton(name, definition)
- editor.ui.add(name, CKEDITOR.UI_BUTTON, definition)

## Constructor

### `CKEDITOR.plugins.ae_buttonbridge`

()

Defined in `src/ui/react/src/uibridge/button.jsx:120`

## Index

### Methods

- centerToolbar
- extend static
- generateButtonBridge
- imageSelectionSetPosition
- init
- tableSelectionSetPosition

## Methods

### `centerToolbar`

(

- `toolbar`
- `rect`

)

Defined in `src/ui/react/src/selections/selection-position.js:10`

Centers a Toolbar according to given rectangle

#### Parameters:

- `toolbar` Object

  The toolbar to be centered

- `rect` Object

  The rectangle according to which the Toolbar will be centered

### `extend`

(

- `receiver`
- `supplier`
- `protoProps`
- `staticProps`

)
Function static

Defined in `src/ui/react/src/oop/oop.js:5`

Sets the prototype, constructor and superclass properties to support an inheritance strategy that can chain constructors and methods. Static members will not be inherited.

#### Parameters:

- `receiver` Function

  The class which will extend another class.

- `supplier` Function

  The class which will provide the properties the child class.

- `protoProps` Object

  Prototype properties to add/override.

- `staticProps` Object

  Static properties to add/overwrite.

#### Returns:

Function:

The extended class.

### `generateButtonBridge`

(

- `buttonName`
- `buttonDefinition`

)
Object private

Defined in `src/ui/react/src/uibridge/button.jsx:26`

Generates a ButtonBridge React class for a given button definition if it has not been already created based on the button name and definition.

#### Parameters:

- `buttonName` String

  The button's name

- `buttonDefinition` Object

  The button's definition

#### Returns:

Object:

The generated or already existing React Button Class

### `imageSelectionSetPosition`

(

- `payload`

)
Boolean

Defined in `src/ui/react/src/selections/selection-position.js:36`

Sets the position of a toolbar according to the position of the selected image

#### Parameters:

- `payload` Object

  Payload, should contain the selection data for retrieving the client rectangle of the selected image

#### Returns:

Boolean:

True, in all cases

### `init`

(

- `editor`

)

Defined in `src/ui/react/src/uibridge/button.jsx:133`

Set the add handler for UI_BUTTON to our own. We do this in the init phase to override the one in the native plugin in case it's present.

#### Parameters:

- `editor` Object

  The CKEditor instance being initialized

### `tableSelectionSetPosition`

(

- `payload`

)
Boolean

Defined in `src/ui/react/src/selections/selection-position.js:50`

Sets the position of a toolbar according to the position of the selected image

#### Parameters:

- `payload` Object

  Object, which contains the selection data for retrieving the client rectangle of the selected table

#### Returns:

Boolean:

True, in all cases